%global             kmod_version 1
%global             latest_kernel 5.14.0-565%{dist}.%{_arch}
%global             latest_kernel_automotive 5.14.0-563.511%{dist}.%{_arch}

%global             srcrev 5c38261c90605fd78b5a94f5686405751d961c44

%if "%{dist}" == ".el9iv"
%{!?kernel_version:%{expand:%%global kernel_version %{latest_kernel_automotive}}}
%else
%{!?kernel_version:%{expand:%%global kernel_version %{latest_kernel}}}
%endif

Name:               qcom-scmi
%if "%{dist}" == ".el9iv"
Version:            %{lua:print((string.gsub(string.match(rpm.expand("%{kernel_version}"), "(%d+%.%d+%.%d+%-%d+%.%d+%.?[^.]*)%.el9iv"),"-","~")))}.%{kmod_version}
%else
Version:            %{lua:print((string.gsub(string.match(rpm.expand("%{kernel_version}"), "(%d+%.%d+%.%d+%-%d+%.?[^.]*)"..rpm.expand("%{dist}")),"-","~")))}.%{kmod_version}
%endif
Release:            1%{?dist}
Summary:            Qualcomm SCMI compatible kernel modules

License:            GPLv2
URL:                https://gitlab.com/CentOS/automotive/src/kmod-qcom-scmi.git
Source:             https://gitlab.com/CentOS/automotive/src/kmod-qcom-scmi/-/archive/%{srcrev}/kmod-qcom-scmi-%{srcrev}.tar.gz

ExclusiveArch:      aarch64
%global kmodtool_generate_buildreqs 1
%if "%{dist}" == ".el9iv"
BuildRequires:      kernel-automotive-devel-uname-r = %{kernel_version}
%else
BuildRequires:      kernel-devel-uname-r = %{kernel_version}
%endif
BuildRequires:      redhat-rpm-config kernel-rpm-macros elfutils-libelf-devel kmod

%kernel_module_package

%description
%{summary}


%prep
%setup -T -b 0 -q -n kmod-qcom-scmi-%{srcrev}


%build
%make_build -C %{kernel_source default} M=$PWD modules


%install
%make_build -C %{kernel_source default} M=$PWD INSTALL_MOD_PATH=%{buildroot} INSTALL_MOD_DIR=extra DEPMOD=/usr/bin/true modules_install


%changelog
* Wed Jan 22 2025 Eric Chanudet <echanude@redhat.com> 5.14.0~549.498.1-1
- spec: initial packaging
